TikTok LIVE Moderation

Comments

Manage comments within the TikTok LIVE Moderation API. This section covers endpoints for working with comments including retrieval, creation, and management operations.

Toggle room comments

POSThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/toggle_comments

Toggle comments on/off in a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

enabled*boolean

Whether comments should be enabled (true) or disabled (false)

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200